<?php
session_start();
//RESTRICCIÃN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario'])) {
	if ($_SESSION['tipousuario'] == '1')
		header('location:menu_personal.php');
}
if (trim($_SESSION['nombre_validar']) == '') header('location:index.php');
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
include("fphp.php");
$enlace = cargar_conexion();
$consulta = mysqli_query($enlace, "select * from periodo where id='" . $_SESSION['id_validar'] . "' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta) != 0) {
	$row = mysqli_fetch_array($consulta);
	$per = mostrar_fecha($row['desde']) . ' al ' . mostrar_fecha($row['hasta']) . " (Nom:" . $row['nomina'] . ")";
} else $per = '';
if (!$_POST) {
?>
	<html>

	<head>
		<script language='javascript' src='fscript.js'></script>
		<link rel='stylesheet' type='text/css' href='styles.css' />
	</head>

	<body>
		<?php
		menu();
		?>
		<br>
		<table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td width='100%' align='left'>
					<font size=2 color='black' face='verdana'>Empresa: <b><? echo $_SESSION['empresa_validar']; ?></b> - Per&iacute;odo: <b>
							<font color='#DD0044'><? echo $per; ?></font>
						</b> - Usuario: <b><? echo $_SESSION['nombre_validar']; ?></b></font>
				</td>
			</tr>
		</table>
		<hr>
	<?php
	$entra = 0;
	echo "<h2><center>Listados de Estad&iacute;sticas del Personal</center></h2>";
	echo "
		<form name='entrada' action='" . $_SERVER['PHP_SELF'] . "' target='_blank' method='POST' enctype='multipart/form-data'>
		<input type='hidden' name='usuario' value = '" . $_SESSION['nombre_validar'] . "'>
		<table align='center'>";
	echo "	<tr><td align='xright'><font color='#DD0044'><b>Tipo Reporte:</font></b></td>
				<td align='left'>
					<select style='width:300px; border-radius:8px; padding:4px;' name='treporte'>
						<option value='1'>Estad&iacute;sticas por Permiso del Trabajador
						<option value='2'>Estad&iacute;sticas por Reposos M&eacute;dicos
						<option value='3'>Estad&iacute;sticas de Dias no Trabajados Justificadamente
						<option value='4'>Estad&iacute;sticas de Dias no Trabajados Injustificadamente
						<option value='5'>Estad&iacute;sticas de Horas Extras Diurnas
						<option value='6'>Estad&iacute;sticas de Horas Extras Nocturnas
						<option value='7'>Estad&iacute;sticas de Feriados Laborados
						<option value='8'>Estad&iacute;sticas de Domingos Trabajados
					</select>
				</td>
				</tr>";

	//==================================== desde
	$consulta = mysqli_query($enlace, "select * from periodo where id='" . $_SESSION['id_validar'] . "' order by nomina,periodo DESC") or die("select * from periodo order by nomina,periodo DESC");
	$numr = mysqli_num_rows($consulta);
	echo "<td align = 'xright'> <font color='#DD0044'>Per&iacute;odo / N&oacute;mina Desde: </font></td>";
	echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'periodo1'>";
	for ($x = 1; $x <= $numr; $x++) {
		$row1 = mysqli_fetch_array($consulta);
		if ($x != 1) {
			echo "<option>" . $row1['periodo'] . " - Nomina:" . $row1['nomina'] . " - " . $row1['desde'] . " al " . $row1['hasta'];
		}
	}
	echo "</select>";
	echo "</td></tr>";
	//==================================== hasta
	$consulta = mysqli_query($enlace, "select * from periodo where id='" . $_SESSION['id_validar'] . "' order by nomina,periodo DESC") or die("select * from periodo order by nomina,periodo DESC");
	$numr = mysqli_num_rows($consulta);
	echo "<td align = 'xright'> <font color='#DD0044'>Per&iacute;odo / N&oacute;mina Hasta: </font></td>";
	echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'periodo2'>";
	for ($x = 1; $x <= $numr; $x++) {
		$row1 = mysqli_fetch_array($consulta);
		if ($x != 1) {
			echo "<option>" . $row1['periodo'] . " - Nomina:" . $row1['nomina'] . " - " . $row1['desde'] . " al " . $row1['hasta'];
		}
	}
	echo "</select>";
	echo "</td></tr>";

	echo "<tr>";
	$consulta = "Select codigo,nombres,apellidos,nombres1,apellidos1 from personal where id='" . $_SESSION['id_validar'] . "' order by apellidos,nombres";
	$consulta = mysqli_query($enlace, $consulta) or die("no se pudo realizar la consulta..." . $consulta . '=' . mysqli_error($enlace));
	$resultado = mysqli_num_rows($consulta);
	echo "<td align = 'righta'> <font color='#DD0044'><b>Trabajador: </b></font></td>";
	echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'trabajador'><option>";
	if ($resultado != 0) {
		for ($i = 0; $i < $resultado; $i++) {
			$row1 = mysqli_fetch_array($consulta);
			echo "<option width = '30%' value='" . $row1['codigo'] . "'>" . trim($row1['apellidos']) . ", " . $row1['nombres'];
		}
	}
	echo "</select>";
	echo "</td>";
	echo "</tr>";

	echo "<tr>";
	$consulta = "Select * from tablas where tabla=ucase('GERENCIA') and id='" . $_SESSION['id_validar'] . "' order by codigo,detalle";
	$consulta = mysqli_query($enlace, $consulta) or die("no se pudo realizar la consulta..." . $consulta . '=' . mysqli_error($enlace));
	$resultado = mysqli_num_rows($consulta);
	echo "<td align = 'righta'> Gerencia: </td>";
	echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'gerencia'><option>";
	if ($resultado != 0) {
		for ($i = 0; $i < $resultado; $i++) {
			$row1 = mysqli_fetch_array($consulta);
			echo "<option width = '30%'>" . $row1['codigo'] . " - " . $row1['detalle'];
		}
	}
	echo "</select>";
	echo "</td>";
	echo "</tr>";

	echo "<tr>";
	$consulta = "Select * from tablas where tabla=ucase('DIVISION') and id='" . $_SESSION['id_validar'] . "' order by codigo,detalle";
	$consulta = mysqli_query($enlace, $consulta) or die("no se pudo realizar la consulta..." . $consulta . '=' . mysqli_error($enlace));
	$resultado = mysqli_num_rows($consulta);
	echo "<td align = 'righta'> Divisi&oacute;n: </td>";
	echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'division'><option>";
	if ($resultado != 0) {
		for ($i = 0; $i < $resultado; $i++) {
			$row1 = mysqli_fetch_array($consulta);
			echo "<option width = '30%'>" . $row1['codigo'] . " - " . $row1['detalle'];
		}
	}
	echo "</select>";
	echo "</td>";
	echo "</tr>";

	echo "<tr>";
	$consulta = "Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='" . $_SESSION['id_validar'] . "' order by codigo,detalle";
	$consulta = mysqli_query($enlace, $consulta) or die("no se pudo realizar la consulta..." . $consulta . '=' . mysqli_error($enlace));
	$resultado = mysqli_num_rows($consulta);
	echo "<td align = 'righta'> Departamento: </td>";
	echo "<td align = 'left'> <select style='width:300px; border-radius:8px; padding:4px;' name = 'departamento'><option>";
	if ($resultado != 0) {
		for ($i = 0; $i < $resultado; $i++) {
			$row1 = mysqli_fetch_array($consulta);
			echo "<option width = '30%'>" . $row1['codigo'] . " - " . $row1['detalle'];
		}
	}
	echo "</select>";
	echo "</td>";

	echo "<tr><td colspan='4' align='center'>";
	echo "&nbsp;<p><input name='ver' type='submit' class='boton' value='Visualizar Reporte para Imprimir/Guardar'>";
	echo "</td></tr>";
	echo "</table></form>";
} else {
	///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////	

	if ($_POST['treporte'] == 1) $_POST['titulo'] = 'Estadisticas por Permiso del Trabajador';
	if ($_POST['treporte'] == 2) $_POST['titulo'] = 'EstadÃ­sticas por Reposos MÃ©dicos';
	if ($_POST['treporte'] == 3) $_POST['titulo'] = 'EstadÃ­sticas de Dias no Trabajados Justificadamente';
	if ($_POST['treporte'] == 4) $_POST['titulo'] = 'EstadÃ­sticas de Dias no Trabajados Injustificadamente';
	if ($_POST['treporte'] == 5) $_POST['titulo'] = 'EstadÃ­sticas de Horas Extras Diurnas';
	if ($_POST['treporte'] == 6) $_POST['titulo'] = 'EstadÃ­sticas de Horas Extras Nocturnas';
	if ($_POST['treporte'] == 7) $_POST['titulo'] = 'EstadÃ­sticas de Feriados Trabajados';
	if ($_POST['treporte'] == 8) $_POST['titulo'] = 'EstadÃ­sticas de Domingos Trabajados';

	$periodo1 = substr($_POST['periodo1'], 0, 3);
	$nomina1 = substr($_POST['periodo1'], 13, 3);
	$periodo2 = substr($_POST['periodo2'], 0, 3);
	$nomina2 = substr($_POST['periodo2'], 13, 3);

	$consulta = mysqli_query($enlace, "select * from empresa where id='" . $_SESSION['id_validar'] . "' ");
	if (mysqli_num_rows($consulta) != 0) {
		$row = mysqli_fetch_array($consulta);
		if ($_POST['treporte'] == 1) $_POST['codigo'] = $row['c1'];
		if ($_POST['treporte'] == 2) $_POST['codigo'] = $row['c2'];
		if ($_POST['treporte'] == 3) $_POST['codigo'] = $row['c3'];
		if ($_POST['treporte'] == 4) $_POST['codigo'] = $row['c4'];
		if ($_POST['treporte'] == 5) $_POST['codigo'] = $row['c5'];
		if ($_POST['treporte'] == 6) $_POST['codigo'] = $row['c6'];
		if ($_POST['treporte'] == 7) $_POST['codigo'] = $row['c7'];
		if ($_POST['treporte'] == 8) $_POST['codigo'] = $row['c8'];
		$_POST['pie'] = $row['pie'];
		$_POST['encabeza'] = $row['encabeza'];
	}

	require('fpdf.php');
	class PDF extends FPDF
	{
		protected $logo_validar;
		protected $nempresa;
		protected $encabeza;
		protected $titulo;
		protected $pie;
		protected $derechos;

		function set_logo_validar($logo_validar)
		{
			$this->logo_validar = $logo_validar;
		}

		function set_nempresa($nempresa)
		{
			$this->nempresa = $nempresa;
		}

		function set_encabeza($encabeza)
		{
			$this->encabeza = $encabeza;
		}

		function set_titulo($titulo)
		{
			$this->titulo = $titulo;
		}

		function set_pie($pie)
		{
			$this->pie = $pie;
		}

		function set_derechos($derechos)
		{
			$this->derechos = $derechos;
		}

		function Header()
		{
			$this->Image($this->logo_validar, 10, 10, 30, 30);
			$this->SetFont('arial', '', 12);
			$this->Ln(2);
			$this->SetFont('arial', 'B', 10);
			$this->Cell(0, 5, $this->nempresa, 0, 1, 'R');
			$this->SetFont('arial', '', 8);
			$this->Cell(0, 5, $this->encabeza, 0, 1, 'R');
			$this->Ln(4);
			$this->SetFont('arial', '', 8);
			$this->Cell(0, 5, 'Fecha: ' . hoy(), 0, 1, 'R');
			$this->Cell(0, 5, 'Hora: ' . hora(), 0, 1, 'R');
			$this->Ln(5);
			$this->SetFont('arial', 'B', 12);
			$this->Cell(0, 0, $this->titulo, 0, 1, 'C');
			$this->Ln(5);

			$this->SetFillColor(70, 77, 119);
			$this->SetTextColor(255);
			$this->SetDrawColor(255, 255, 255);
			$this->SetLineWidth(.5);
			$this->SetFont('', '');
			$this->SetFont('arial', 'B', 8);

			$header = array('#', 'C.I', 'Nombres y Apellidos', 'Periodo', 'Cantidad', 'Total Bs.');
			$w = array(10, 20, 60, 40, 30, 30);
			for ($i = 0; $i < count($header); $i++)
				$this->Cell($w[$i], 4, $header[$i], 1, 0, 'C', 1);
			$this->Ln();
			$this->SetFillColor(224, 235, 255);
			$this->SetTextColor(0);
			$this->SetFont('');
		}
		function Footer()
		{
			$this->SetY(-20);
			$this->Cell(0, 0, '', 1, 1, 'C');
			$this->SetFont('Times', 'I', 8);
			$this->ln(2);
			$this->Cell(0, 0, $this->pie, 0, 1, 'C');
			$this->Cell(0, 10, 'Usuario: ' . $this->usuario . ' - Página ' . $this->PageNo() . '/{nb} - Derechos: ' . $this->derechos, 0, 0, 'C');
		}
	}

	//Cuerpo ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
	$pdf = new PDF($orientacion = 'P', $unit = 'mm', $format = 'letter');
	$pdf->set_logo_validar($_SESSION['logo_validar']);
	$pdf->set_nempresa($_SESSION['empresa_validar']);
	$pdf->set_encabeza($_POST['encabeza']);
	$pdf->set_titulo($_POST['titulo']);
	$pdf->set_pie($_POST['pie']);
	$pdf->set_usuario($_POST['usuario']);
	$pdf->set_derechos($_POST['derecho']);
	$pdf->AddPage();
	$pdf->AliasNbPages();
	$pdf->SetFont('Arial', '', 8);
	$pdf->SetFillColor(224, 235, 255);
	$pdf->SetTextColor(0);

	$payroll = "z_" . trim($_SESSION['usuario_validar']);
	$consulta = mysqli_query($enlace, "create table if not exists `" . $payroll . "` (
				  `id` int NOT NULL,
				  `cedula` varchar(8) NOT NULL,
				  `concepto` varchar(4) NOT NULL,
				  `desconcepto` varchar(50) NOT NULL,
				  `tipo` varchar(1) NOT NULL,
				  `monto` decimal(18,2) NOT NULL,
				  `saldo` decimal(18,2) NOT NULL,
				  `cantidad` decimal(18,2) NOT NULL,
				  `nomina` varchar(3) NOT NULL,
				  `desnomina` varchar(50) NOT NULL,
				  `periodo` varchar(3) NOT NULL,
				  `desperiodo` varchar(50) NOT NULL
				) ENGINE=MyISAM DEFAULT CHARSET=latin1;");
	$consulta = mysqli_query($enlace, "delete from `" . $payroll . "`");

	$query = '';
	if ($_POST['trabajador'] != "") $query .= "and personal.codigo='" . substr($_POST['trabajador'], 0, 8) . "' ";
	if ($_POST['gerencia'] != "") $query .= "and personal.gerencia='" . substr($_POST['gerencia'], 0, 4) . "' ";
	if ($_POST['division'] != "") $query .= "and personal.division='" . substr($_POST['division'], 0, 4) . "' ";
	if ($_POST['departamento'] != "") $query .= "and personal.departamento='" . substr($_POST['departamento'], 0, 4) . "' ";

	$consultax = "insert into $payroll select id,cedula,concepto,desconcepto,tipo,monto,saldo,cantidad,nomina,desnomina,periodo,desperiodo from historico where id='" . $_SESSION['id_validar'] . "' and concepto='" . $_POST['codigo'] . "' and nomina='" . $nomina1 . "' and (periodo >='" . $periodo1 . "' and periodo <='" . $periodo2 . "') ";
	$consulta = mysqli_query($enlace, $consultax);
	$consulta = mysqli_query($enlace, "select $payroll.*,personal.nombres,personal.apellidos,personal.sso,personal.cuenta,personal.cargo from $payroll,personal where $payroll.cedula=personal.codigo $query  order by personal.sso,$payroll.cedula,$payroll.concepto, $payroll.desconcepto");

	$linea = 0;
	$color = 0;
	$tsalsur = 0;
	$tot1 = 0;
	$tot2 = 0;
	while ($row = mysqli_fetch_array($consulta)) {
		$linea++;
		$tnombre = trim($row['nombres']) . ' ' . trim($row['nombres1']) . ',  ' . trim($row['apellidos']) . ' ' . trim($row['apellidos1']);

		$header = array('#', 'C.I', 'Nombres y Apellidos', 'Periodo', 'Cantidad', 'Total Bs.');
		$w = array(10, 20, 60, 40, 30, 30);

		$pdf->cell(10, 5, $linea, 0, 0, 'C', $color);
		$pdf->cell(20, 5, $row['cedula'], 0, 0, 'C', $color);
		$pdf->cell(60, 5, $tnombre, 0, 0, 'L', $color);
		$pdf->cell(40, 5, $row['desperiodo'], 0, 0, '', $color);
		$pdf->cell(30, 5, number_format($row['cantidad'], 2), 0, 0, 'R', $color);
		$pdf->cell(30, 5, number_format($row['monto'], 2), 0, 1, 'R', $color);
		$tot1 += $row['cantidad'];
		$tot2 += $row['monto'];
		$color = !$color;
	}
	$pdf->Cell(190, 0, '', 1, 1, 'C');
	$pdf->ln(1);
	$pdf->Cell(190, 0, '', 1, 1, 'C');
	$pdf->ln(1);
	$pdf->cell(130, 5, 'Totales', 0, 0, 'R');
	$pdf->cell(30, 5, number_format($tot1, 2), 0, 0, 'R');
	$pdf->cell(30, 5, number_format($tot2, 2), 0, 1, 'R');

	$pdf->Output();
}
	?>

	<style>
	.numeroFila {
		color: black;
		font-weight: bold;
	}

	.boton {
    border-radius: 8px;      /* Bordes redondeados */
    padding: 8px 16px;       /* Más espacio interno */
    border: none;            /* Quita el borde feo por defecto */
    cursor: pointer;         /* Mano al pasar */
    transition: 0.2s ease;   /* Animación suave */
	}

	.boton:hover {
	transform: scale(1.03);  /* Efecto sutil al pasar el mouse */
	}


</style>